For the complete documentation index, see llms.txt. This page is also available as Markdown.

Build Service

Operations related to build services.

build service

get
/build-service

build service

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
osstring · enumOptional

Os

Possible values:
deploymentTypestring · enumOptional

Deployment type

Possible values:
Responses
200

OK

application/json
deploymentIdstringOptional

Entity ID

Pattern: ^[0-9a-fA-F]{24}$
statusstringOptional
deploymentTypestringOptional

Build deployment type

osstringOptional

Build os

projectIdstringOptional

Entity ID

Pattern: ^[0-9a-fA-F]{24}$
projectNamestringOptional

Project name

organizationIdstringOptional

Entity ID

Pattern: ^[0-9a-fA-F]{24}$
orgNamestringOptional

Organization name

createdAtstring · date-timeRead-onlyOptional

Date

startedAtstring · date-timeRead-onlyOptional

Date

get/build-service
GET /api/v1/build-service HTTP/1.1
Host: abp-api.akinon.net
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "deploymentId": "text",
    "status": "text",
    "deploymentType": "text",
    "os": "text",
    "projectId": "text",
    "projectName": "text",
    "organizationId": "text",
    "orgName": "text",
    "createdAt": "2026-01-01T00:00:00.000Z",
    "startedAt": "2026-01-01T00:00:00.000Z"
  }
]

Last updated

Was this helpful?